%global engine_name unico
%global major_version %%(cut -d "." -f 1-2 <<<%{version})

Name:           gtk-unico-engine
Version:        1.0.2
Release:        1%{?dist}
Summary:        Unico Gtk+ theming engine

Group:          User Interface/Desktops
License:        LGPLv3
URL:            https://launchpad.net/unico/
# The source for this package was pulled from upstream's VCS. Use the following
# commands to generate the tarball:
# $ bzr export -r %{revision} %{engine_name}-%{version}-bzr%{revision}.tar.xz lp:unico
Source0:        http://launchpad.net/unico/%{major_version}/%{version}/+download/%{engine_name}-%{version}.tar.gz

BuildRequires:  pkgconfig(gtk+-3.0) >= 3.3.14

%description
Unico is a Gtk+ engine that aims to be the more complete yet powerful theming
engine for Gtk+ 3.0 and newer. It’s the first Gtk+ engine written with Gtk+
style context APIs in mind, using CSS as first class citizen.


%prep
%setup -q -n %{engine_name}-%{version}


%build
%configure \
  --disable-silent-rules \
  --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/gtk-3.0/3.0.0/theming-engines/*.la


%files
# TODO: add ChangeLog and README if non-empty
%doc AUTHORS COPYING NEWS
%{_libdir}/gtk-3.0/3.0.0/theming-engines/lib%{engine_name}.so


%changelog
* Fri Mar 30 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.0.2-1
- Update to 1.0.2

* Thu Mar 22 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.0.1-5.20120229bzr132
- Update to a newer bzr snapshot

* Fri Feb 24 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.0.1-4.20120224bzr130
- Update to a newer bzr snapshot

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 03 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.0.1-2
- Remove useless IM scriptlets

* Thu Sep 29 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.0.1-1
- Initial RPM release
